=== debian/changelog ===
basket (2.10~beta+git20160425.b77687f-1) unstable; urgency=medium

  * New git snapshot:
    - Fix reproducibility by removing a timestamp; thanks to
      Alexis Bienvenüe for the patch (Closes: #819921)
  * Drop patch 14_update_es_po.diff, included upstream.
  * The new snapshot code includes fix for spelling errors spotted by
    lintian and further GCC 6 fixes.
  * Bump standards version to 3.9.8. No changes required.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Tue, 26 Apr 2016 00:56:04 +0200

basket (2.10~beta+git20160305.487a115-1) unstable; urgency=medium

  * New git snapshot:
    - Fix build with GCC 6 (Closes: #811623).
  * Update standards version to 3.9.7. No changes required.
  * Remove menu file, no more needed as the .desktop file is provided.
  * control file: switch Vcs-{Browser,Git} to their secure counterpart
    (https).

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 06 Mar 2016 20:37:21 +0100
