=== debian/watch ===
version=3

opts="uversionmangle=s/-([^0-9])/~\\1/" \
  https://launchpad.net/basket/kde4/ https://launchpad.net/basket/kde4/.+/\+download/basket-(.+).tar.bz2
