## basket 2.11~beta+git20180715.058ce7a

=== backgrounds-previews/CMakeLists.txt ===

install(FILES  abstract.png  	alien-artifact.png  	basket-title.png  	green-curves.png  	light.png  	painting.png  	pens.png  	pins.png  	rainbow-balls.png  	rounds-line.png  	strings.png  	todo.png  	working.png DESTINATION ${DATA_INSTALL_DIR}/basket/backgrounds/previews)
