=== debian/changelog ===
basket (2.11~beta+git20180715.058ce7a-1) unstable; urgency=medium

  [ Luigi Toscano ]
  * New git snapshot:
    - Bump version number, still use a git snapshot with additional fixes.
  * Update few metadata (URLs, emails):
    - maintainer list address (list.alioth->alioth-lists);
    - Vcs-Git/Vcs-Url (from alioth to salsa);
    - homepage (not a KDE project for a while).
  * Remove the dependency on libsoprano-dev (Closes: #903751).
    - not used anymore (no Nepomuk integration).
      Thanks Pino Toscano for the patch.
  * Various clean ups:
    - remove the trailing spaces from few packaging files
      (changelog, control, copyright, watch);
    - replace tabs with spaces in the copyright file;
    - run wrap-and-sort;
    - fix a typo in the copyright file.
  * Bump Standards-Version to 4.3.0, no changes required.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove last empty line in changelog as lintian detects it as a trailing
    space.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Mon, 28 Jan 2019 22:46:57 -0300
