=== images/CMakeLists.txt ===
ecm_install_icons(ICONS
    128-apps-basket.png
    16-actions-likeback_bug.png
    16-actions-likeback_dislike.png
    16-actions-likeback_feature.png
    16-actions-likeback_like.png
    16-apps-basket.png
    22-apps-basket.png
    32-apps-basket.png
    48-apps-basket.png
    64-apps-basket.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)
