=== tags/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-actions-tag_checkbox.png
    16-actions-tag_checkbox_checked.png
    16-actions-tag_for_later.png
    16-actions-tag_fun.png
    16-actions-tag_important.png
    16-actions-tag_preference_bad.png
    16-actions-tag_preference_excellent.png
    16-actions-tag_preference_good.png
    16-actions-tag_priority_high.png
    16-actions-tag_priority_low.png
    16-actions-tag_priority_medium.png
    16-actions-tag_progress_000.png
    16-actions-tag_progress_025.png
    16-actions-tag_progress_050.png
    16-actions-tag_progress_075.png
    16-actions-tag_progress_100.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)
