=== welcome/CMakeLists.txt ===
FILE (GLOB BASKETS_FILES *.baskets)

install(FILES  ${BASKETS_FILES} DESTINATION ${DATA_INSTALL_DIR}/basket/welcome)
