=== debian/changelog ===
basket (2.49-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112720)
  * Add patch from Andreas Metzler to restore gpgme integration.
    (Closes: #1024475)

 -- Adrian Bunk <bunk@debian.org>  Fri, 17 Oct 2025 19:14:48 +0300

basket (2.49-1) unstable; urgency=medium

  * New release (2.49):
    - Port to Frameworks 5/Qt 5 (Closes: #874829).
  * Remove the reference to a specific environment from the description
  * Add patch from FreeBSD to correctly install the MIME type integration
    (apparently a regression from the kdelibs 4.x):
    - 01-fix-mimetype-installation.patch
  * Update the watch file.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Tue, 20 Aug 2019 21:55:23 +0200
