=== debian/control ===
--- 
+++ 
@@ -7,13 +7,35 @@
            Luigi Toscano <luigi.toscano@tiscali.it>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kdelibs5-dev,
-               kdepimlibs5-dev (>=4:4.4.3),
+               extra-cmake-modules,
                libgpgme11-dev,
-               libqimageblitz-dev,
+               libkf5archive-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5doctools-dev,
+               libkf5filemetadata-dev,
+               libkf5globalaccel-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5kcmutils-dev,
+               libkf5kio-dev,
+               libkf5notifications-dev,
+               libkf5parts-dev,
+               libkf5service-dev,
+               libkf5textwidgets-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
+               libphonon4qt5-dev,
                libx11-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.5),
+               pkg-kde-tools,
+               qtbase5-dev,
                shared-mime-info
 Homepage: https://launchpad.net/basket/
 Standards-Version: 4.3.0
@@ -23,7 +45,7 @@
 Package: basket
 Architecture: any
 Depends: basket-data (>=${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: multi-purpose note-taking application for KDE
+Description: multi-purpose note-taking application
  This application provides as many baskets (drawers) as you wish; Several
  kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it.
  .
